package com.ynet.life.sujrb.action;

import com.ibm.icu.text.SimpleDateFormat;
import com.itextpdf.text.Document;
import com.itextpdf.text.DocumentException;
import com.itextpdf.text.Font;
import com.itextpdf.text.PageSize;
import com.itextpdf.text.Paragraph;
import com.itextpdf.text.pdf.BaseFont;
import com.itextpdf.text.pdf.PdfPCell;
import com.itextpdf.text.pdf.PdfPTable;
import com.itextpdf.text.pdf.PdfWriter;
import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.base.LifeAction;
import com.ynet.life.base.LifeStandard;
import com.ynet.life.base.Trace;
import com.ynet.life.file.LifeFile;
import java.io.FileNotFoundException;
import java.io.FileOutputStream;
import java.io.IOException;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
import java.util.Random;
import net.sf.json.JSONObject;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/ChangeNumPDFsDOCAction.class */
public class ChangeNumPDFsDOCAction extends LifeAction {
    private String destSrcFiled;
    private String pdfType;
    private String downloadFilePath;
    private String downloadSheetNo;
    private final String FILE_TYPE = ".pdf";
    static List<JSONObject> xyList = new ArrayList();
    String fileName;
    String rootPath;
    String folder;
    String fileSrc;

    public String execute(Context context) throws GENEException {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMddHHmmss");
        Date dataYear = new Date();
        String year = sdf.format(dataYear).substring(0, 4);
        String month = sdf.format(dataYear).substring(4, 6);
        String day = sdf.format(dataYear).substring(6, 8);
        String sNo = LifeStandard.getServerTime("yyyyMMddHHmmss");
        this.fileName = "园易融-金融机构改数申请表_" + sNo + ".pdf";
        this.rootPath = LifeStandard.getSelfDefineSettingsValue("fileRootPath");
        this.folder = String.valueOf(LifeStandard.getServerTime("yyyyMMddHHmmssSSS")) + new Random().nextInt(1000000000);
        LifeFile.makeMultiDirectory(this.rootPath, this.folder);
        this.fileSrc = String.valueOf(this.rootPath) + this.folder + LifeFile.DIR_SEPARATOR + this.fileName;
        buildPDF(context, this.fileSrc, year, month, day);
        context.put(this.downloadFilePath, this.fileSrc);
        context.put("filePath", String.valueOf(this.rootPath) + this.folder);
        context.put("path", this.fileName);
        return "0";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v0, types: [java.lang.String] */
    /* JADX WARN: Type inference failed for: r0v1, types: [java.lang.Exception] */
    /* JADX WARN: Type inference failed for: r0v7, types: [java.lang.String] */
    public String buildPDF(Context context, String destSrc, String year, String month, String day) {
        ?? r0 = "";
        String filePath = "";
        try {
            if (this.pdfType.equals("0")) {
                r0 = createPDFWithChineseForZD(context, destSrc, year, month, day);
                filePath = r0;
            }
        } catch (Exception e) {
            r0.printStackTrace();
        }
        return filePath;
    }

    public String createPDFWithChineseForZD(Context context, String destSrc, String year, String month, String day) throws Exception {
        String bankName = (String) context.getDataValue("financeName");
        String userName = (String) context.getDataValue("userName");
        String reqNo = (String) context.getDataValue("reqNo");
        String corName = (String) context.getDataValue("corName");
        String joinProduct = (String) context.getDataValue("joinProduct");
        String flowSttTemp = (String) context.getDataValue("flowSttTemp");
        IndexedCollection revisionInfocoll = context.getDataElement("revisionInfoList");
        Document document = new Document(PageSize.A4, 80.0f, 80.0f, 60.0f, 10.0f);
        PdfWriter pdfw = null;
        try {
            try {
                try {
                    pdfw = PdfWriter.getInstance(document, new FileOutputStream(destSrc));
                    document.open();
                    BaseFont bfChi = BaseFont.createFont("STSong-Light", "UniGB-UCS2-H", false);
                    new Font(bfChi, 10.0f, 0);
                    new Font(bfChi, 10.0f, 4);
                    new Font(bfChi, 12.0f, 0);
                    Font fontChi_nl_14 = new Font(bfChi, 14.0f, 0);
                    Font fontbold_nl_14 = new Font(bfChi, 14.0f, 1);
                    Font fontChi_bd = new Font(bfChi, 16.0f, 1);
                    new Font(bfChi, 12.0f, 4);
                    new Font(bfChi, 14.0f, 4);
                    Paragraph prh = new Paragraph();
                    prh.setAlignment(1);
                    prh.setSpacingAfter(15.0f);
                    document.add(prh);
                    Paragraph prh2 = new Paragraph("园易融-金融机构改数申请表", fontChi_bd);
                    prh2.setAlignment(1);
                    prh2.setSpacingAfter(40.0f);
                    document.add(prh2);
                    PdfPTable table = new PdfPTable(4);
                    table.setWidthPercentage(100.0f);
                    int[] width = {40, 50, 50, 60};
                    table.setWidths(width);
                    PdfPCell cell = new PdfPCell(new Paragraph("需求信息", fontbold_nl_14));
                    cell.setHorizontalAlignment(1);
                    cell.setMinimumHeight(25.0f);
                    cell.setColspan(4);
                    table.addCell(cell);
                    PdfPCell cell2 = new PdfPCell(new Paragraph("金融机构", fontChi_nl_14));
                    cell2.setHorizontalAlignment(0);
                    cell2.setMinimumHeight(25.0f);
                    table.addCell(cell2);
                    PdfPCell cell3 = new PdfPCell(new Paragraph(bankName, fontChi_nl_14));
                    cell3.setMinimumHeight(25.0f);
                    table.addCell(cell3);
                    PdfPCell cell4 = new PdfPCell(new Paragraph("二级机构联系人", fontChi_nl_14));
                    cell4.setMinimumHeight(25.0f);
                    table.addCell(cell4);
                    PdfPCell cell5 = new PdfPCell(new Paragraph(userName, fontChi_nl_14));
                    cell5.setMinimumHeight(25.0f);
                    table.addCell(cell5);
                    PdfPCell cell6 = new PdfPCell(new Paragraph("需求编号", fontChi_nl_14));
                    cell6.setMinimumHeight(25.0f);
                    table.addCell(cell6);
                    PdfPCell cell7 = new PdfPCell(new Paragraph(reqNo, fontChi_nl_14));
                    cell7.setMinimumHeight(25.0f);
                    table.addCell(cell7);
                    PdfPCell cell8 = new PdfPCell(new Paragraph("企业名称", fontChi_nl_14));
                    cell8.setMinimumHeight(25.0f);
                    table.addCell(cell8);
                    PdfPCell cell9 = new PdfPCell(new Paragraph(corName, fontChi_nl_14));
                    cell9.setMinimumHeight(25.0f);
                    table.addCell(cell9);
                    PdfPCell cell10 = new PdfPCell(new Paragraph("对接产品", fontChi_nl_14));
                    cell10.setMinimumHeight(25.0f);
                    table.addCell(cell10);
                    PdfPCell cell11 = new PdfPCell(new Paragraph(joinProduct, fontChi_nl_14));
                    cell11.setMinimumHeight(25.0f);
                    table.addCell(cell11);
                    PdfPCell cell12 = new PdfPCell(new Paragraph("流程状态", fontChi_nl_14));
                    cell12.setMinimumHeight(25.0f);
                    table.addCell(cell12);
                    PdfPCell cell13 = new PdfPCell(new Paragraph(flowSttTemp, fontChi_nl_14));
                    cell13.setMinimumHeight(25.0f);
                    table.addCell(cell13);
                    PdfPCell cell14 = new PdfPCell(new Paragraph("改数信息", fontbold_nl_14));
                    cell14.setHorizontalAlignment(1);
                    cell14.setMinimumHeight(25.0f);
                    cell14.setColspan(4);
                    table.addCell(cell14);
                    for (int i = 0; i < revisionInfocoll.size(); i++) {
                        KeyedCollection revisionInKocoll = (KeyedCollection) revisionInfocoll.get(i);
                        String modField = (String) revisionInKocoll.getDataValue("modField");
                        String modFieldBefore = (String) revisionInKocoll.getDataValue("modFieldBefore");
                        String modFieldAfter = (String) revisionInKocoll.getDataValue("modFieldAfter");
                        String remark = (String) revisionInKocoll.getDataValue("remark");
                        PdfPCell cell15 = new PdfPCell(new Paragraph("修改字段", fontChi_nl_14));
                        cell15.setMinimumHeight(25.0f);
                        table.addCell(cell15);
                        PdfPCell cell16 = new PdfPCell(new Paragraph(modField, fontChi_nl_14));
                        cell16.setMinimumHeight(25.0f);
                        cell16.setColspan(3);
                        table.addCell(cell16);
                        PdfPCell cell17 = new PdfPCell(new Paragraph("修改前", fontChi_nl_14));
                        cell17.setMinimumHeight(25.0f);
                        table.addCell(cell17);
                        PdfPCell cell18 = new PdfPCell(new Paragraph(modFieldBefore, fontChi_nl_14));
                        cell18.setMinimumHeight(25.0f);
                        table.addCell(cell18);
                        PdfPCell cell19 = new PdfPCell(new Paragraph("修改后", fontChi_nl_14));
                        cell19.setMinimumHeight(25.0f);
                        table.addCell(cell19);
                        PdfPCell cell20 = new PdfPCell(new Paragraph(modFieldAfter, fontChi_nl_14));
                        cell20.setMinimumHeight(25.0f);
                        table.addCell(cell20);
                        PdfPCell cell21 = new PdfPCell(new Paragraph("备注", fontChi_nl_14));
                        cell21.setMinimumHeight(25.0f);
                        table.addCell(cell21);
                        PdfPCell cell22 = new PdfPCell(new Paragraph(remark, fontChi_nl_14));
                        cell22.setMinimumHeight(25.0f);
                        cell22.setColspan(3);
                        table.addCell(cell22);
                    }
                    PdfPCell cell23 = new PdfPCell(new Paragraph("金融机构加盖公章处", fontbold_nl_14));
                    cell23.setMinimumHeight(100.0f);
                    cell23.setColspan(2);
                    table.addCell(cell23);
                    PdfPCell cell24 = new PdfPCell(new Paragraph("二级机构联系人签名", fontbold_nl_14));
                    cell24.setMinimumHeight(100.0f);
                    cell24.setColspan(2);
                    table.addCell(cell24);
                    document.add(table);
                    document.close();
                    pdfw.flush();
                    pdfw.close();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                } catch (IOException e) {
                    Trace.log("LifeFile", "文件" + destSrc + "I/O失败");
                    e.printStackTrace();
                    document.close();
                    if (pdfw != null) {
                        pdfw.flush();
                        pdfw.close();
                    }
                }
            } catch (FileNotFoundException e2) {
                Trace.log("LifeFile", "文件" + destSrc + "未找到");
                e2.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            } catch (DocumentException e3) {
                Trace.log("LifeFile", "改数申请表创建失败");
                e3.printStackTrace();
                document.close();
                if (pdfw != null) {
                    pdfw.flush();
                    pdfw.close();
                }
            }
            return destSrc;
        } catch (Throwable th) {
            document.close();
            if (pdfw != null) {
                pdfw.flush();
                pdfw.close();
            }
            throw th;
        }
    }

    public void setDestSrcFiled(String destSrcFiled) {
        this.destSrcFiled = destSrcFiled;
    }

    public void setPdfType(String pdfType) {
        this.pdfType = pdfType;
    }

    public void setDownloadFilePath(String downloadFilePath) {
        this.downloadFilePath = downloadFilePath;
    }

    public void setDownloadSheetNo(String downloadSheetNo) {
        this.downloadSheetNo = downloadSheetNo;
    }
}
